API Reference
List payment plans
GET
/payment_plansQuery Parameters
fromstring (date-time)(optional)tostring (date-time)(optional)offsetinteger (int32)(optional)· Defaults to 1limitinteger (int32)(optional)· Defaults to 10Maximum number of records to return. Must not be more than 50.
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/payment_plans?limit=2 -u TEST:TESTResponse
200Result
json
{
"successful":true,
"response":[
{
"id":"071-PP-8389G3DA",
"customer":"071-C-JE34F66V",
"amount":100,
"currency":null,
"setup_fee":0,
"frequency":"Weekly",
"anniversary":5,
"start_date":"2025-07-16",
"end_date":null,
"total_count":2,
"total_amount":null,
"payment_method":"Credit Card",
"reference":"071-PP-8389G3DA",
"description":null,
"status":"Active",
"status_reason":"None",
"created_at":"2018-07-11T16:23:39+10:00",
"failed_payment_fee":0,
"retry_interval":3,
"status_change_date":null,
"payments":[]
},
{
"id":"071-PP-EFI5O5E3",
"customer":"071-C-JMECN7JX",
"amount":100,
"currency":null,
"setup_fee":0,
"frequency":"Weekly",
"anniversary":5,
"start_date":"2015-07-16",
"end_date":null,
"total_count":5,
"total_amount":500,
"payment_method":"Credit Card",
"reference":"3cbf0d6975c876c7a2f10ceb81760c06",
"description":null,
"status":"Active",
"status_reason":"None",
"created_at":"2018-06-12T15:38:13+10:00",
"failed_payment_fee":0,
"retry_interval":3,
"status_change_date":null,
"payments":[]
}
],
"errors":[],
"test":true,
"records":2,
"total_records":346,
"page":1,
"total_pages":173
}400Result
json
{}